
Redmine - Defect #32829

HTML entity is used in CSS string

2020-01-17 01:31 - Alexander Sapozhnikov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.7   

Resolution: Fixed Affected version: 3.3.0

Description

Ordering handles (green arrows ↕) at some administrative pages contains HTML entity &nbsp; instead of inivisible character of

non-breaking space:

 

Affected pages

/roles

/trackers

/issue_statuses

/enumerations

/custom_fields

Configuration

MySQL 5.5.44

ruby 2.6.3p62 (2019-04-16 revision 67580) [x86_64-linux]

Rails 5.2.4.1

Redmine 4.1.0

Plugins:

Redmine CRM plugin    4.2.5

Custom JS and CSS plugin    0.0.1

Redmine Open Search plugin    0.1.0

Google Chrome 79

How to fix

Edit public/stylesheets/application.css:

.icon-only::after {

  content: "&nbsp;";

}

 replace &nbsp; with
https://www.redmineup.com/pages/plugins/crm
http://github.com/shoorick/redmine_custom_js_and_css
https://github.com/Mine02C4/redmine_open_search


non-breaking space

or

\a0

Related issues:

Related to Redmine - Patch #21805: Improve accessibility for icon-only links Closed

Associated revisions

Revision 19440 - 2020-01-21 00:31 - Go MAEDA

Remove an HTML entity that cannot be used in a CSS string (#32829).

Patch by Alexander Sapozhnikov.

Revision 19441 - 2020-01-21 00:33 - Go MAEDA

Merged r19440 from trunk to 4.1-stable (#32829).

Revision 19442 - 2020-01-21 00:34 - Go MAEDA

Merged r19440 from trunk to 4.0-stable (#32829).

History

#1 - 2020-01-17 01:34 - Alexander Sapozhnikov

- File application-css.patch added

--- application.css~    2019-12-20 17:19:46.000000000 +0500

+++ application.css    2020-01-17 05:28:57.819227647 +0500

@@ -1458,3 +1458,3 @@

 .icon-only::after {

-  content: "&nbsp;";

+  content: "\a0";

 }

#2 - 2020-01-19 05:58 - Go MAEDA

- File roles-no-problem@2x.png added

I cannot reproduce the problem. Could you test again without third-party plugins and a theme?

 

#3 - 2020-01-19 22:13 - Alexander Sapozhnikov

- File issue-32829-hidden.png added

I’ve checked with Alternate and Classic themes — there are no visible characters
But anyway HTML entity should be replaced with allowed character or escape sequence.

https://developer.mozilla.org/en-US/docs/Web/CSS/string

Most characters can be represented literally. All characters can also be represented with their respective Unicode code points in hexadecimal, in

which case they are preceded by a backslash (\). For example, \22 represents a double quote, \27 a single quote ('), and \A9 the copyright

symbol (©).

 Note: HTML entities (such as &nbsp; or &#8212;) cannot be used in a CSS <string>.

 See also:

https://developer.mozilla.org/en-US/docs/Web/CSS/content

https://css-tricks.com/css-content/#article-header-id-1

#4 - 2020-01-20 00:44 - Go MAEDA

- Target version set to 4.1.1

Alexander Sapozhnikov wrote:

But anyway HTML entity should be replaced with allowed character or escape sequence.

https://developer.mozilla.org/en-US/docs/Web/CSS/string

Most characters can be represented literally. All characters can also be represented with their respective Unicode code points in

hexadecimal, in which case they are preceded by a backslash (\). For example, \22 represents a double quote, \27 a single quote ('), and

\A9 the copyright symbol (©).

 Note: HTML entities (such as &nbsp; or &#8212;) cannot be used in a CSS <string>.

 

Thank you for giving me the information. I didn't know that.

Setting the target version to 4.1.1.

#5 - 2020-01-20 01:00 - Go MAEDA

- Target version changed from 4.1.1 to 4.0.7
https://developer.mozilla.org/en-US/docs/Web/CSS/string
http://en.wikipedia.org/wiki/Unicode#Code_point_planes_and_blocks
https://developer.mozilla.org/en-US/docs/Web/CSS/content
https://css-tricks.com/css-content/#article-header-id-1
https://developer.mozilla.org/en-US/docs/Web/CSS/string
http://en.wikipedia.org/wiki/Unicode#Code_point_planes_and_blocks


- Affected version changed from 4.1.0 to 3.3.0

The change has been made in r15271 (Redmine 3.3.0). Updating the target version to 4.0.7.

#6 - 2020-01-20 01:00 - Go MAEDA

- Related to Patch #21805: Improve accessibility for icon-only links added

#7 - 2020-01-21 00:38 - Go MAEDA

- Subject changed from HTML entities instead of non-breaking space near ordering handles to HTML entity is used in CSS string

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for posting the patch.

Files

redmine-410-nbsp.png 38.9 KB 2020-01-17 Alexander Sapozhnikov

application-css.patch 200 Bytes 2020-01-17 Alexander Sapozhnikov

roles-no-problem@2x.png 48.6 KB 2020-01-19 Go MAEDA

issue-32829-hidden.png 33.3 KB 2020-01-19 Alexander Sapozhnikov
